Skip to main content
GET
/
organizations
Get organizations
curl --request GET \
  --url https://api.galtea.ai/organizations \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "org_123",
    "name": "Example Organization",
    "remainingSubscriptionCredits": 1000,
    "extraCredits": 500,
    "lastWarningAt": "2023-11-07T05:31:56Z",
    "warningAt": 123,
    "stripeCustomerId": "cus_123",
    "samlEntrypointUrl": "<string>",
    "samlEntityId": "<string>",
    "samlIssuerId": "<string>",
    "samlPublicCertificate": "<string>",
    "samlSignedResponse": true,
    "samlSignedAssertions": true,
    "samlTeamSlug": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "deletedAt": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

API key authorization. Pass your API key in the Authorization header as a Bearer token. Both new (gsk_*) and legacy (gsk-) API keys are accepted, e.g. Authorization: Bearer gsk_... or Authorization: Bearer gsk-....

Query Parameters

ids
string[]

Filter by organization IDs

name
string

Filter by organization name

sort
string[]

Sort instructions (field and direction pairs)

limit
integer

Maximum number of results

offset
integer

Number of results to skip

Response

Organizations retrieved successfully

id
string
Example:

"org_123"

name
string
Example:

"Example Organization"

remainingSubscriptionCredits
integer | null
Example:

1000

extraCredits
integer
Example:

500

lastWarningAt
string<date-time> | null
warningAt
integer | null
stripeCustomerId
string | null
Example:

"cus_123"

samlEntrypointUrl
string | null
samlEntityId
string | null
samlIssuerId
string | null
samlPublicCertificate
string | null
samlSignedResponse
boolean | null
samlSignedAssertions
boolean | null
samlTeamSlug
string | null
createdAt
string<date-time>
deletedAt
string<date-time> | null